﻿/*  
		XML2Footnotes.jsx
Version:     	1.0
License:	CC 
Last-Change:	26.05.2010

Gregor Fellenz
http://www.indesignblog.com/
*/
#target InDesign
#include "glue code.jsx"


xml2Footnote();



function xml2Footnote() {
		var _dok = app.activeDocument;

		var _root = _dok.xmlElements[0];
		
		var _ruleSet = new Array (new insertFootnote);

		__processRuleSet(_root, _ruleSet);
	}


// Assumed footnote structure is:
/*
	<footnote> <!-- Footnote Container Element --!>
		<p><!-- Footnote Paragraphs--!> </p>
		<p>..</p>
	</footnote>				
	*/
function insertFootnote () {
		this.name = "insertFootnote";
		this.xpath = "//footnote";
		this.apply = function(_node, _ruleProcessor){
			__skipChildren(_ruleProcessor);			
			// 1. Untag XML Children 
			while (_node.xmlElements.length > 0) {
				_node.xmlElements[0].untag();					
			}				
			// 2. Insert Footnote
			var _fn = _node.insertionPoints[0].footnotes.add();
 			_node.parentStory.characters.itemByRange(_node.insertionPoints[1].index, _node.insertionPoints[-1].index).move(LocationOptions.AFTER,  _fn.insertionPoints[-1] ) ;		
		return true;
		}
}

/*
			
*/